{% extends 'Admin/layout.html.twig' %}


{% block title %}Admin Word{% endblock %}

{% block breadcrumbs %}
    <li class="breadcrumb-item">
        <a href="{{ url('admin_list_words') }}">Words</a>
    </li>
    <li class="breadcrumb-item active">Show</li>
{% endblock %}

{% block body_id 'admin_show_word' %}

{% block body %}


    {% for message in app.flashes('error') %}
        <div class="flash-notice alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endfor %}


    {% if word is defined and word is not empty %}

        <div class="card mb-3">
            <div class="card-body">
                <div class="float-right">
                    <a href="{{ url('admin_transaction_edit', {word_id : word.id}) }}" role="button" class="btn btn-primary" tabindex="-1">Upgrade word</a>
                </div>
            </div>
        </div>

        <div class="card mb-3">
            <div class="card-header text-white bg-primary">
                <i class="fas fa-file-word"></i>
                Word Detail
            </div>
            <div class="card-body">

                <table class="table table-bordered table-striped table-hover table-sm">
                    <tr>
                        <th scope="row">Word</th>
                        <td>{{ word.name|e }}</td>
                    </tr>
                    <tr>
                        <th scope="row">Value</th>
                        <td>{{ word.value }}</td>
                    </tr>
                    <tr>
                        <th scope="row">User</th>
                        <td>{{ word.user.username|e }}</td>
                    </tr>
                    <tr>
                        <th scope="row">Status Check</th>
                        <td>{{ word.statusCheck|trans }}</td>
                    </tr>
                    <tr>
                        <th scope="row">Status Payment</th>
                        <td>{{ word.statusPayment|trans }}</td>
                    </tr>
                </table>

            </div>
        </div>


        {% if paginatedTransactions is defined and paginatedTransactions is not empty %}

            <div class="card mb-3">
                <div class="card-header text-white bg-primary">
                    <i class="fas fa-table"></i>
                    Word Transactions
                </div>
                <div class="card-body">

                    {% include 'Admin/Default/_datatable_head.html.twig' with {'url_list':url('admin_show_word', {id:word.id})} only  %}

                    <div class="row">
                        <div class="col">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered table-hover table-sm">
                                    <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Total</th>
                                        <th scope="col">Subtotal</th>
                                        <th scope="col">Discount</th>
                                        <th scope="col">Tax</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% if paginatedTransactions.transactions is defined %}
                                        {% for transaction in paginatedTransactions.transactions %}
                                            <tr>
                                                <th scope="row">
                                                    {{ transaction.id }}
                                                    {#<a href="{{ url('admin_show_word', {id:word.id}) }}">{{ word.id }}</a>#}
                                                </th>
                                                <td>{{ transaction.total }}</td>
                                                <td>{{ transaction.subtotal }}</td>
                                                <td>{{ transaction.discount }}</td>
                                                <td>{{ transaction.tax }}</td>
                                            </tr>
                                        {% else %}
                                            <tr>
                                                <td colspan="6">
                                                    <p class="text-center">No Transactions found</p>
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    {% endif %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="float-right">
                                {% include 'Admin/Default/_pagination.html.twig' with {'p':paginatedTransactions.paginator} only %}
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        {% else %}
            <div class="card">
                <div class="card-body">
                    <p class="card-text">No Word was found</p>
                </div>
            </div>
        {% endif %}

    {% else %}
        <div class="card">
            <div class="card-body">
                <p class="card-text">No Word was found</p>
            </div>
        </div>
    {% endif %}


{% endblock %}